/// <reference types="express" />
/// <reference types="lowdb" />
import { lowdb } from 'lowdb';
import { Router } from 'express';
export declare const DatabaseRouter: (config: DatabaseConfig | DatabaseConfig[]) => DbRouter;
export default DatabaseRouter;
export interface DatabaseConfig {
    path: string;
    data: string | JSON;
    priority?: number;
}
export interface DbRouter extends Router {
    db?: lowdb;
    dbs: DatabaseCollection;
}
export interface DatabaseCollection {
    [path: string]: lowdb;
}
