"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const JsonServer = require("json-server");
const _ = require("lodash");
const express_1 = require("express");
exports.DatabaseRouter = function (config) {
    const router = express_1.Router();
    let dbs = {};
    if (!Array.isArray(config)) {
        config = [config];
    }
    for (const dbconfig of config) {
        const jsonRouter = JsonServer.router(dbconfig.data);
        dbs[dbconfig.path] = jsonRouter.db;
        router.use(dbconfig.path, JsonServer.router(dbconfig.data));
    }
    if (_.size(dbs) === 1) {
        router.db = _.values(dbs)[0];
    }
    router.dbs = dbs;
    return router;
};
exports.default = exports.DatabaseRouter;
