"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const requestProxy = require('express-request-proxy');
exports.ProxyRouter = function (config) {
    const router = express_1.Router();
    if (config.enable) {
        const { host, routes } = config;
        for (const route of routes) {
            let routeConfig = Object.assign({ url: host + route.url }, route.options);
            router.all(route.url, requestProxy(routeConfig));
        }
    }
    return router;
};
exports.default = exports.ProxyRouter;
